/* these color combos are for demo purposes can can/should be replaced via the customize plugin*/

/*


.xwpez-blocks-blockName-text-heading:not(.wpez-blocks-featureSet-01) {

  &.Xwpez-blocks-colorCombo-combo-2 {

    .wpez-blocks-block {
      background-color: #000000;
    }

    .wpez-blocks-box {
      background-color: #000000;
    }

    .Xwpez-blocks-content {
      background-color: red;
    }

    .wpez-blocks-content .block-editor-rich-text__editable,
    .wpez-blocks-content .wpez-blocks-inner-heading {
      color: #ffffff
    }
  }

  &.Xwpez-blocks-colorCombo-combo-3 {

    .wpez-blocks-block {
      background-color: #555d66;
    }

    .wpez-blocks-box {
      background-color: #000000;
    }

    .Xwpez-blocks-content .wpez-blocks-content-inner {
      background-color: red;
    }

    .wpez-blocks-content .wpez-blocks-content-inner .block-editor-rich-text__editable,
    .wpez-blocks-content .wpez-blocks-content-inner .wpez-blocks-inner-heading {
      color: #FFFFFF;
    }

  }

  &.Xwpez-blocks-colorCombo-combo-4 {

    .wpez-blocks-block {
      background-color: #555d66;
    }

    .wpez-blocks-box {
      background-color: #FFFFFF;
    }

    .wpez-blocks-content .wpez-blocks-content-inner {
      Xbackground-color: red;
    }

    .wpez-blocks-content .wpez-blocks-content-inner .block-editor-rich-text__editable,
    .wpez-blocks-content .wpez-blocks-content-inner .wpez-blocks-inner-heading {
      color: #000000
    }

  }
}


// ???
.XXX-wpez-blocks-content .inner {
  padding-top: 25px
}

.Xwpez-blocks-block-wrapper {
  position: relative
}

.Xwpez-blocks-block-wrapper:after {
  content: '';
  clear: both;
}

// .wpez-blocks-outer{position: relative;}


.Xwpez-blocks-block {
  position: relative;
  z-index: 100
}

.Xwpez-blocks-box {
  position: relative;
  z-index: 200;
}

.Xwpez-blocks-content {
  width: 100%;
  position: relative;
  z-index: 300;
}

// --- blockWidth


.Xwpez-blocks-blockWidth-content {
  width: 100%
}

.Xwpez-blocks-blockWidth-wide {
  width: 80vw;
  margin-left: 50%;
  transform: translateX(-50%);
}

// slightly less-wide for the editor
.Xwpez-blocks-isEditor-true.wpez-blocks-blockWidth-wide {
  width: 65vw;
  margin-left: 50%;
  transform: translateX(-50%);
}

.Xwpez-blocks-blockWidth-full {
  width: 100vw;
  margin-left: 50%;
  transform: translateX(-50%);
}

.Xwpez-blocks-blockWidth-box {
  // TODO //
}


.Xwpez-blocks-block {
  width: 100%;
  height: 100%
}


.Xwpez-blocks-blockWidth-box.wpez-blocks-boxAlign-left {
  float: left
}

.Xwpez-blocks-blockWidth-box.wpez-blocks-boxAlign-center {
  margin: 0 auto
}

.Xwpez-blocks-blockWidth-box.wpez-blocks-boxAlign-right {
  float: right
}


.Xwpez-blocks-blockWidth-box .wpez-blocks-box {
  width: 100%
}


// --- blockHeight //
.Xwpez-blocks-blockHeight-xs {
  height: auto
}

.Xwpez-blocks-blockHeight-sm {
  height: 25vh;
}

.Xwpez-blocks-blockHeight-md {
  height: 50vh;
}

.Xwpez-blocks-blockHeight-lg {
  height: 75vh;
}

.Xwpez-blocks-blockHeight-xl {
  height: 100vh;
}

// --- boxHeight //
.Xwpez-blocks-boxHeight-xs .wpez-blocks-box {
  height: auto
}

.Xwpez-blocks-boxHeight-sm .wpez-blocks-box {
  height: 25%;
}

.Xwpez-blocks-boxHeight-md .wpez-blocks-box {
  height: 50%;
}

.Xwpez-blocks-boxHeight-lg .wpez-blocks-box {
  height: 75%;
}

.Xwpez-blocks-boxHeight-xl .wpez-blocks-box {
  height: 100%;
}

// contnteight //

.Xwpez-blocks-boxHeight-xs .wpez-blocks-content {
  height: auto
}

.Xwpez-blocks-boxHeight-sm .wpez-blocks-content {
  height: 25%;
}

.Xwpez-blocks-boxHeight-md .wpez-blocks-content {
  height: 50%;
}

.Xwpez-blocks-boxHeight-lg .wpez-blocks-content {
  height: 75%;
}

.Xwpez-blocks-boxHeight-xl .wpez-blocks-content {
  height: 100%;
}


.Xwpez-blocks-blockHeight-xs.wpez-blocks-boxHeight-xs .wpez-blocks-box {
  height: auto
}

.Xwpez-blocks-blockHeight-xs.wpez-blocks-boxHeight-sm,
.Xwpez-blocks-blockHeight-xs.wpez-blocks-boxHeight-sm .wpez-blocks-block,
.Xwpez-blocks-blockHeight-xs.wpez-blocks-boxHeight-sm .wpez-blocks-box {
  height: 25vh;
}

.Xwpez-blocks-blockHeight-xs.wpez-blocks-boxHeight-md,
.Xwpez-blocks-blockHeight-xs.wpez-blocks-boxHeight-md .wpez-blocks-block,
.Xwpez-blocks-blockHeight-xs.wpez-blocks-boxHeight-md .wpez-blocks-box {
  height: 50vh;
}

.Xwpez-blocks-blockHeight-xs.wpez-blocks-boxHeight-lg,
.Xwpez-blocks-blockHeight-xs.wpez-blocks-boxHeight-lg .wpez-blocks-block,
.Xwpez-blocks-blockHeight-xs.wpez-blocks-boxHeight-lg .wpez-blocks-box {
  height: 75vh;
}

.Xwpez-blocks-blockHeight-xs.wpez-blocks-boxHeight-xl,
.Xwpez-blocks-blockHeight-xs.wpez-blocks-boxHeight-xl .wpez-blocks-block,
.Xwpez-blocks-blockHeight-xs.wpez-blocks-boxHeight-xl .wpez-blocks-box {
  height: 100vh;
}

// boxWidth //

.Xwpez-blocks-boxWidth-1.wpez-blocks-blockWidth-box,
.Xwpez-blocks-boxWidth-1:not(.wpez-blocks-blockWidth-box) .wpez-blocks-box,
.Xwpez-blocks-boxWidth-1:not(.wpez-blocks-blockWidth-box) .wpez-blocks-content {
  width: 8.33%;
}

.Xwpez-blocks-boxWidth-2.wpez-blocks-blockWidth-box,
.Xwpez-blocks-boxWidth-2:not(.wpez-blocks-blockWidth-box) .wpez-blocks-box,
.Xwpez-blocks-boxWidth-2:not(.wpez-blocks-blockWidth-box) .wpez-blocks-content {
  width: 16.67%;
}

.Xwpez-blocks-boxWidth-3.wpez-blocks-blockWidth-box,
.Xwpez-blocks-boxWidth-3:not(.wpez-blocks-blockWidth-box) .wpez-blocks-box,
.Xwpez-blocks-boxWidth-3:not(.wpez-blocks-blockWidth-box) .wpez-blocks-content {
  width: 25%;
}

.Xwpez-blocks-boxWidth-4.wpez-blocks-blockWidth-box,
.Xwpez-blocks-boxWidth-4:not(.wpez-blocks-blockWidth-box) .wpez-blocks-box,
.Xwpez-blocks-boxWidth-4:not(.wpez-blocks-blockWidth-box) .wpez-blocks-content {
  width: 33.33%;
}

.Xwpez-blocks-boxWidth-5.wpez-blocks-blockWidth-box,
.Xwpez-blocks-boxWidth-5:not(.wpez-blocks-blockWidth-box) .wpez-blocks-box,
.Xwpez-blocks-boxWidth-5:not(.wpez-blocks-blockWidth-box) .wpez-blocks-content {
  width: 41.67%;
}

.Xwpez-blocks-boxWidth-6.wpez-blocks-blockWidth-box,
.Xwpez-blocks-boxWidth-6:not(.wpez-blocks-blockWidth-box) .wpez-blocks-box,
.Xwpez-blocks-boxWidth-6:not(.wpez-blocks-blockWidth-box) .wpez-blocks-content {
  width: 50%
}

.Xwpez-blocks-boxWidth-7.wpez-blocks-blockWidth-box,
.Xwpez-blocks-boxWidth-7:not(.wpez-blocks-blockWidth-box) .wpez-blocks-box,
.Xwpez-blocks-boxWidth-7:not(.wpez-blocks-blockWidth-box) .wpez-blocks-content {
  width: 58.33%;
}

.Xwpez-blocks-boxWidth-8.wpez-blocks-blockWidth-box,
.Xwpez-blocks-boxWidth-8:not(.wpez-blocks-blockWidth-box) .wpez-blocks-box,
.Xwpez-blocks-boxWidth-8:not(.wpez-blocks-blockWidth-box) .wpez-blocks-content {
  width: 66.67%;
}

.Xwpez-blocks-boxWidth-9.wpez-blocks-blockWidth-box,
.Xwpez-blocks-boxWidth-9:not(.wpez-blocks-blockWidth-box) .wpez-blocks-box,
.Xwpez-blocks-boxWidth-9:not(.wpez-blocks-blockWidth-box) .wpez-blocks-content {
  width: 75%;
}

.Xwpez-blocks-boxWidth-10.wpez-blocks-blockWidth-box,
.Xwpez-blocks-boxWidth-10:not(.wpez-blocks-blockWidth-box) .wpez-blocks-box,
.Xwpez-blocks-boxWidth-10:not(.wpez-blocks-blockWidth-box) .wpez-blocks-content {
  width: 83.33%;
}

.Xwpez-blocks-boxWidth-11.wpez-blocks-blockWidth-box,
.Xwpez-blocks-boxWidth-11:not(.wpez-blocks-blockWidth-box) .wpez-blocks-box,
.Xwpez-blocks-boxWidth-11:not(.wpez-blocks-blockWidth-box) .wpez-blocks-content {
  width: 91.67%;
}

.Xwpez-blocks-boxWidth-12.wpez-blocks-blockWidth-box,
.Xwpez-blocks-boxWidth-12:not(.wpez-blocks-blockWidth-box) .wpez-blocks-box,
.Xwpez-blocks-boxWidth-12:not(.wpez-blocks-blockWidth-box) .wpez-blocks-content {
  width: 100%
}

// --- boxAlign //

.Xwpez-blocks-boxAlign-left.wpez-blocks-blockWidth-box .wpez-blocks-block,
.Xwpez-blocks-boxAlign-left .wpez-blocks-box,
.Xwpez-blocks-boxAlign-left .wpez-blocks-content {
  position: absolute;
  left: 0
}

.Xwpez-blocks-boxAlign-center.wpez-blocks-blockWidth-box .wpez-blocks-block,
.Xwpez-blocks-boxAlign-center .wpez-blocks-box,
.Xwpez-blocks-boxAlign-center .wpez-blocks-content {
  position: absolute;
  left: 0;
  right: 0;
  margin: auto
}

.Xwpez-blocks-boxAlign-right.wpez-blocks-blockWidth-box .wpez-blocks-block,
.Xwpez-blocks-boxAlign-right .wpez-blocks-box,
.Xwpez-blocks-boxAlign-right .wpez-blocks-content {
  position: absolute;
  right: 0
}

//--- boxAlignVert //

.Xwpez-blocks-boxAlignVert-top .wpez-blocks-box,
.Xwpez-blocks-boxAlignVert-top .wpez-blocks-content {
  position: absolute;
  top: 0;
}

.Xwpez-blocks-boxAlignVert-center .wpez-blocks-box,
.Xwpez-blocks-boxAlignVert-center .wpez-blocks-content {
  position: absolute;
  top: 50%;
  bottom: 50%;
  margin: auto
}

.Xwpez-blocks-boxAlignVert-bottom .wpez-blocks-box,
.Xwpez-blocks-boxAlignVert-bottom .wpez-blocks-content {
  position: absolute;
  bottom: 0;
}

.Xwpez-blocks-blockHeight-xs.wpez-blocks-boxHeight-xs .wpez-blocks-block {
  position: absolute;
  top: 0;
  bottom: 0
}

.Xwpez-blocks-blockHeight-xs.wpez-blocks-boxHeight-xs .wpez-blocks-content {
  position: relative;
}

// ---------

.Xwpez-blocks-textSize-sm .wpez-blocks-content {
  font-size: 80%
}

.Xwpez-blocks-textSize-md .wpez-blocks-content {
  font-size: 100%;
}

.Xwpez-blocks-textSize-lg .wpez-blocks-content {
  font-size: 125%;
}

// TODO THESE TWO !!!!
.Xwpez-blocks-content {
  display: flex;
}

.Xwpez-blocks-content > * {
  width: 100%
}

// --- textAlign //


.Xwpez-blocks-textAlign-left .wpez-blocks-content {
  text-align: left
}

.Xwpez-blocks-textAlign-center .wpez-blocks-content {
  text-align: center
}

.Xwpez-blocks-textAlign-right .wpez-blocks-content {
  text-align: right
}

.Xwpez-blocks-textAlign-justify .wpez-blocks-content {
  width: 100%;
  text-align: justify;
  text-justify: distribute;
}

// --- textAlignVert //
.Xwpez-blocks-textAlignVert-top .wpez-blocks-content {
  align-items: flex-start
}

.Xwpez-blocks-textAlignVert-center .wpez-blocks-content {
  align-items: center
}

.Xwpez-blocks-textAlignVert-bottom .wpez-blocks-content {
  align-items: flex-end
}

*/


